- Home
- About
- Testimonials
- Demos
- Download
- Documentation
- Blogs
- Forum
- Support

Packages:
default
System
System.Caching
System.Collections
System.Data
System.Data.ActiveRecord
System.Data.ActiveRecord.Relations
System.Data.ActiveRecord.Scaffold
System.Data.ActiveReecord.Scaffold.InputBuilder
System.Data.Commom.Sqlite
System.Data.Common
System.Data.Common.Mssql
System.Data.Common.Mysql
System.Data.Common.Oracle
System.Data.Common.Pgsql
System.Data.Common.Sqlite
System.Data.DataGateway
System.Data.SqlMap
System.Data.SqlMap.Configuration
System.Data.SqlMap.Statements
System.Exceptions
System.I18N
System.IO
System.Security
System.Util
System.Web
System.Web.Services
System.Web.UI
System.Web.UI.ActiveControls
System.Web.UI.WebControls
System.Web.UI.WebControls.assets
System.Xml
Classes:
IListControlAdapter
TActiveButton
TActiveCheckBox
TActiveCheckBoxList
TActiveControlAdapter
TActiveCustomValidator
TActiveCustomValidatorClientSide
TActiveDatePicker
TActiveDropDownList
TActiveHiddenField
TActiveHyperLink
TActiveImage
TActiveImageButton
TActiveLabel
TActiveLinkButton
TActiveListBox
TActiveListControlAdapter
TActiveListItemCollection
TActivePageAdapter
TActivePager
TActivePanel
TActiveRadioButton
TActiveRadioButtonList
TActiveRatingList
TActiveTextBox
TAutoComplete
TAutoCompleteEventParameter
TAutoCompleteTemplate
TBaseActiveCallbackControl
TBaseActiveControl
TCallback
TCallbackClientScript
TCallbackClientSide
TCallbackErrorHandler
TCallbackEventParameter
TCallbackOptions
TCallbackPageStateTracker
TCallbackResponseAdapter
TCallbackResponseWriter
TEventTriggeredCallback
TInPlaceTextBox
TInvalidCallbackException
TMapCollectionDiff
TScalarDiff
TStyleDiff
TTimeTriggeredCallback
TTriggeredCallback
TValueTriggeredCallback
TViewStateDiff

Keyword

# Class TActivePageAdapter

    TComponent
       |
       --TApplicationComponent
          |
          --TControlAdapter
             |
             --TActivePageAdapter

TActivePageAdapter class.

Callback request handler.

Since: 3.1
Author: Wei Zhuo <weizhuo[at]gamil[dot]com>

Constructor Summary
public | __construct Array Constructor, trap errors and exception to let the callback response handle them.

Method Summary
TCallbackClientScript | getCallbackClientHandler () Gets the callback client script handler. It handlers the javascript functions to be executed during the callback response.
string | getCallbackEventParameter () Gets callback parameter. JSON encoding is assumed.
TControl | getCallbackEventTarget ()
void | processCallbackEvent ( THtmlWriter $writer) Process the callback request.
protected void | redirect ( string $url) Redirect url on the client-side using javascript.
void | registerControlToRender ( TControl $control, THtmlWriter $writer) Register a control for defered render() call.
void | renderCallbackResponse ( THtmlWriter $writer) Render the callback response.
protected void | renderResponse ( THtmlWriter $writer) Renders the callback response by adding additional callback data and javascript actions in the header and page state if required.
void | setCallbackEventParameter ( mixed $value)
void | setCallbackEventTarget ( TControl $control) Registers a control to raise callback event in the current request.
protected void | trapCallbackErrorsExceptions () Trap errors and exceptions to be handled by TCallbackErrorHandler.

Methods Inherited From TControlAdapter
TControlAdapter::createChildControls(), TControlAdapter::getControl(), TControlAdapter::getPage(), TControlAdapter::loadState(), TControlAdapter::onInit(), TControlAdapter::onLoad(), TControlAdapter::onPreRender(), TControlAdapter::onUnload(), TControlAdapter::render(), TControlAdapter::renderChildren(), TControlAdapter::saveState()

Methods Inherited From TApplicationComponent
TApplicationComponent::getApplication(), TApplicationComponent::getRequest(), TApplicationComponent::getResponse(), TApplicationComponent::getService(), TApplicationComponent::getSession(), TApplicationComponent::getUser(), TApplicationComponent::publishAsset(), TApplicationComponent::publishFilePath()

Methods Inherited From TComponent

TComponent::addParsedObject(), TComponent::attachEventHandler(), TComponent::canGetProperty(), TComponent::canSetProperty(), TComponent::createdOnTemplate(), TComponent::detachEventHandler(), TComponent::evaluateExpression(), TComponent::evaluateStatements(), TComponent::getEventHandlers(), TComponent::getSubProperty(), TComponent::hasEvent(), TComponent::hasEventHandler(), TComponent::hasProperty(), TComponent::raiseEvent(), TComponent::setSubProperty(), TComponent::__get(), TComponent::__set()

Constant Summary
string | CALLBACK_ACTION_HEADER | Callback response client-side action header name.
string | CALLBACK_DATA_HEADER | Callback response data header name.
string | CALLBACK_ERROR_HEADER | Callback error header name.
string | CALLBACK_PAGESTATE_HEADER | Callback page state header name.
string | CALLBACK_REDIRECT | Callback redirect url header name.

Constructor Details

## __construct

public __construct | Array

Constructor, trap errors and exception to let the callback response handle them.

Method Details

## getCallbackClientHandler

public TCallbackClientScript getCallbackClientHandler | ()

Gets the callback client script handler. It handlers the javascript functions to be executed during the callback response.

Output
TCallbackClientScript | callback client handler.
Exception

## getCallbackEventParameter

public string getCallbackEventParameter | ()

Gets callback parameter. JSON encoding is assumed.

Output
string | postback event parameter
Exception

## getCallbackEventTarget

public TControl getCallbackEventTarget | ()

Output
TControl | the control responsible for the current callback event, null if nonexistent
Exception

## processCallbackEvent

public void processCallbackEvent | (THtmlWriter $writer )

Process the callback request.

Input
THtmlWriter | $writer | html content writer.
Output
Exception

## redirect

protected void redirect | (string $url )

Redirect url on the client-side using javascript.

Input
string | $url | new url to load.
Output
Exception

## registerControlToRender

public void registerControlToRender | (TControl $control , THtmlWriter $writer )

Register a control for defered render() call.

Input
TControl | $control | control for defered rendering
THtmlWriter | $writer | the renderer
Output
Exception

## renderCallbackResponse

public void renderCallbackResponse | (THtmlWriter $writer )

Render the callback response.

Input
THtmlWriter | $writer | html content writer.
Output
Exception

## renderResponse

protected void renderResponse | (THtmlWriter $writer )

Renders the callback response by adding additional callback data and javascript actions in the header and page state if required.

Input
THtmlWriter | $writer | html content writer.
Output
Exception

## setCallbackEventParameter

public void setCallbackEventParameter | (mixed $value )

Input
mixed | $value | postback event parameter
Output
Exception

## setCallbackEventTarget

public void setCallbackEventTarget | (TControl $control )

Registers a control to raise callback event in the current request.

Input
TControl | $control | control registered to raise callback event.
Output
Exception

## trapCallbackErrorsExceptions

protected void trapCallbackErrorsExceptions | ()

Trap errors and exceptions to be handled by TCallbackErrorHandler.

Output
Exception

Constant Details

### CALLBACK_ACTION_HEADER

Callback response client-side action header name.

#### Type:

string

#### Value:

'X-PRADO-ACTIONS'

### CALLBACK_DATA_HEADER

Callback response data header name.

#### Type:

string

#### Value:

'X-PRADO-DATA'

### CALLBACK_ERROR_HEADER

Callback error header name.

#### Type:

string

#### Value:

'X-PRADO-ERROR'

### CALLBACK_PAGESTATE_HEADER

Callback page state header name.

#### Type:

string

#### Value:

'X-PRADO-PAGESTATE'

### CALLBACK_REDIRECT

Callback redirect url header name.

#### Type:

string

#### Value:

'X-PRADO-REDIRECT'